body {
    background-color: #04192a;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;
    font-family: monospace;
    font-size: 30px;
    height: 90vh;
    position: relative;
  }
  *, *::after, *::before {
    box-sizing: border-box;
  }
  :root {
    --cell-size: 100px;
    --mark-size: calc(var(--cell-size) * .9);
  }

  body {
    margin: 0;
  }

  .board {
    width: 30vw;
    height: 30vh;
    display: grid;
    justify-content: center;
    align-content: center;
    justify-items: center;
    align-items: center;
    grid-template-columns: repeat(3, auto)
  }

  .cell {
    width: var(--cell-size);
    height: var(--cell-size);
    border: 1px solid white;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    cursor: pointer;
  }

  .cell:first-child,
.cell:nth-child(2),
.cell:nth-child(3) {
  border-top: none;
}

.cell:nth-child(3n + 1) {
  border-left: none;
}

.cell:nth-child(3n + 3) {
  border-right: none;
}

.cell:last-child,
.cell:nth-child(8),
.cell:nth-child(7) {
  border-bottom: none;
}

.cell.x,
.cell.circle {
  cursor: not-allowed;
}

.cell.x::before,
.cell.x::after,
.cell.circle::before {
  background-color: rgb(255, 255, 255);
}

.board.x .cell:not(.x):not(.circle):hover::before,
.board.x .cell:not(.x):not(.circle):hover::after,
.board.circle .cell:not(.x):not(.circle):hover::before {
  background-color: rgb(255, 0, 0);
}

.cell.x::before,
.cell.x::after,
.board.x .cell:not(.x):not(.circle):hover::before,
.board.x .cell:not(.x):not(.circle):hover::after {
  content: '';
  position: absolute;
  width: calc(var(--mark-size) * .15);
  height: var(--mark-size);
}

.cell.x::before,
.board.x .cell:not(.x):not(.circle):hover::before {
  transform: rotate(45deg);
}

.cell.x::after,
.board.x .cell:not(.x):not(.circle):hover::after {
  transform: rotate(-45deg);
}

.cell.circle::before,
.cell.circle::after,
.board.circle .cell:not(.x):not(.circle):hover::before,
.board.circle .cell:not(.x):not(.circle):hover::after {
  content: '';
  position: absolute;
  border-radius: 50%;
}

.cell.circle::before,
.board.circle .cell:not(.x):not(.circle):hover::before {
  width: var(--mark-size);
  height: var(--mark-size);
}

.cell.circle::after,
.board.circle .cell:not(.x):not(.circle):hover::after {
  width: calc(var(--mark-size) * .7);
  height: calc(var(--mark-size) * .7);
  background-color: white;
}

.winning-message {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, .9);
  justify-content: center;
  align-items: center;
  color: white;
  font-size: 5rem;
  flex-direction: column;
}

.winning-message button {
  font-size: 3rem;
  background-color: white;
  border: 1px solid black;
  padding: .25em .5em;
  cursor: pointer;
}

.winning-message button:hover {
  background-color:  rgb(0, 0, 0);
  color: white;
  border-color: white;
}

.winning-message.show {
  display: flex;
}
h1 {
  margin-top: -100px;
  margin-bottom: 100px;
}
.back-to-home {
  color: white;
  position: fixed;
  top: 1%;
  left: 2%;
  text-decoration: none;
  font-size: 2vw;
}

td {
  width: 70px;
  height: 70px;
  background-color: rgba(250, 250, 250, 0.1);
  text-align: center;
  border-radius: 4px;
}

h3 {
  margin-bottom: 0px;
}

.explanation {
  background-color: #2e5778;
  border-radius: 0.75%;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

@media screen and (max-width: 700px) {
  .explanation {
    height: 100%;
    width: 100%;
  }
}

@media screen and (min-width: 1920px) {
  .explanation {
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }
}

.explanation-title {
  margin-left: 5%;
  margin-right: 5%;
  font-size: 3vw;
  margin-bottom: 0%;
}

.explanation-text {
  margin-left: 5%;
  margin-right: 5%;
  font-size: 2vw;
  text-align: center;
}

.explanation-button {
  align-items: center;
  background-color: #ffffff;
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 0.25rem;
  box-shadow: rgba(0, 0, 0, 0.02) 0 1px 3px 0;
  box-sizing: border-box;
  color: rgba(0, 0, 0, 0.85);
  cursor: pointer;
  display: inline-flex;
  font-family: system-ui, -apple-system, system-ui, "Helvetica Neue", Helvetica,
    Arial, sans-serif;
  font-size: 16px;
  font-weight: 600;
  justify-content: center;
  line-height: 1.25;
  min-height: 3rem;
  padding: calc(0.875rem - 1px) calc(1.5rem - 1px);
  position: relative;
  text-decoration: none;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: baseline;
  width: 10em;
  margin-bottom: 4%;
}

.explanation-button:hover,
.explanation-button:focus {
  border-color: rgba(0, 0, 0, 0.15);
  box-shadow: rgba(0, 0, 0, 0.1) 0 4px 12px;
  color: rgba(0, 0, 0, 0.65);
}

.explanation-button:hover {
  transform: translateY(-1px);
}
